# H245_G7231AnnexCCapability Class Reference

`#include <h245.h>`

Inheritance diagram for H245_G7231AnnexCCapability:

List of all members.

## Public Types

enum | OptionalFields { e_g723AnnexCAudioMode }

## Public Member Functions

| H245_G7231AnnexCCapability (unsigned tag=UniversalSequence, TagClass tagClass=UniversalTagClass)
PINDEX | GetDataLength () const
PBoolean | Decode (PASN_Stream &strm)
void | Encode (PASN_Stream &strm) const
void | PrintOn (ostream &strm) const
Comparison | Compare (const PObject &obj) const
PObject * | Clone () const

## Public Attributes

PASN_Integer | m_maxAl_sduAudioFrames
PASN_Boolean | m_silenceSuppression
H245_G7231AnnexCCapability_g723AnnexCAudioMode | m_g723AnnexCAudioMode

## Member Enumeration Documentation

enum H245_G7231AnnexCCapability::OptionalFields

Enumerator:

  e_g723AnnexCAudioMode |

## Constructor & Destructor Documentation

H245_G7231AnnexCCapability::H245_G7231AnnexCCapability | ( | unsigned | tag = `UniversalSequence`,
|  | TagClass | tagClass = `UniversalTagClass` |
| ) |  |  |

## Member Function Documentation

PINDEX H245_G7231AnnexCCapability::GetDataLength | ( |  | ) | const

PBoolean H245_G7231AnnexCCapability::Decode | ( | PASN_Stream & | strm | ) |

void H245_G7231AnnexCCapability::Encode | ( | PASN_Stream & | strm | ) | const

void H245_G7231AnnexCCapability::PrintOn | ( | ostream & | strm | ) | const

Comparison H245_G7231AnnexCCapability::Compare | ( | const PObject & | obj | ) | const

PObject* H245_G7231AnnexCCapability::Clone | ( |  | ) | const

## Member Data Documentation

PASN_Integer H245_G7231AnnexCCapability::m_maxAl_sduAudioFrames

PASN_Boolean H245_G7231AnnexCCapability::m_silenceSuppression

H245_G7231AnnexCCapability_g723AnnexCAudioMode H245_G7231AnnexCCapability::m_g723AnnexCAudioMode

The documentation for this class was generated from the following file:

- h245.h